QGIS Application - Bug report #3803
Problems with merge tool
2011-05-06 05:05 AM - hebertazevedo -

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupks data: Copied to github as #: 13861
Description

Dear,

in the course of my work came across a problem in the Merge tool QGIS, as described below:

In my industry work environment is Geomedia Professional, with the native format Access / Warehouse, QGIS is used as a tool in
introductory courses on GIS and decentralization of the maintenance work of the base. Some time ago one of the students of these
courses reported to us that there was an error when he tried to use the merge tool. The same is intended to create Brazilian regions from
the polygon of UF's doing the merge between them. However the attempt to reconstruct the North Region had the error shown in Figure 0
where some lines remain within the polygon.
My first hypothesis was that there was problem in topology between polygons, returned to the production environment of the procedure
and given a query to merge all of UF's, as can be seen in Figures 1 and 2 was performed smoothly.

Figure 1:
Figure 2:
My second hypothesis is that there was error on export to shape, then did the same procedure on gvSIG, who presented an error similar
to QGIS (Figure 3) and ARC GIS (Figure 4) that did not have the problem. Because only the free software the problem was identified that
we believe may be the source the problem, including potentially exploited.
History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-04-17 08:48 AM - Jiirgen Fischer
- File deleted (figuras.doc)

#4 - 2012-04-17 08:48 AM - Jiirgen Fischer
- File figure4.png added

- Pull Request or Patch supplied set to No

- File figure3.png added

- File figure2.png added

- File figure1.png added

- File figure0.png added

#5 - 2012-09-04 12:01 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:40 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-11-14 05:22 AM - Giovanni Manghi

- OS version deleted (SP 3)

- Status info deleted (0)

- Status changed from Open to Closed

- Assignee deleted (hebertazevedo -)

- Target version deleted (Future Release - Lower Priority)
- Resolution set to invalid

- Operating System deleted (Windows)

The problem you see is not in the open source software (qgis, gvsig, whatever), but in the data. The lines that you see after the dissolve are likley to be

very small gaps between polygons. By default the qgis. underlying libraries to perform geoprocessing don't do any kind of geometry/topology cleaning, as

some proprietary software does. But of course you have the tools to check/clean up things, and since the availability of the Processing toolbox, the most

common geometry/topology cleaning operations are easy to do, even during a whatever geoprocessing operation.
